import { OnInit, EventEmitter } from '@angular/core';
import { AngularFireUploadTask, AngularFireStorage } from '@angular/fire/compat/storage';
import { Observable } from 'rxjs';
import { Dimensions, ImageCroppedEvent, ImageTransform, ImageCropperComponent } from 'ngx-image-cropper';
import * as i0 from "@angular/core";
export declare class NgxImageHandlerComponent implements OnInit {
    private storage;
    imageCropper: ImageCropperComponent | undefined;
    res: EventEmitter<any>;
    lang: 'es' | 'en';
    storagePath: string | undefined;
    maxSize: number | undefined;
    imageUrl: string | undefined;
    onlyType: string | undefined;
    cropper: boolean;
    cropperConfig: {
        aspectRatio: number;
        maintainAspectRatio: boolean;
        containWithinAspectRatio: boolean;
        cropperMinHeight: number;
        cropperMinWidth: number;
        resizeToWidth: number;
        resizeToHeight: number;
        cropperStaticWidth: number;
        cropperStaticHeight: number;
    };
    texts: any;
    tempFile: any;
    error: {
        type: boolean;
        size: boolean;
    };
    croppedImage: any;
    croppedImageConfig: {
        rotation: number;
        canvasRotation: number;
        showCropper: boolean;
        scale: number;
        transform: ImageTransform;
    };
    task: AngularFireUploadTask | undefined;
    percentage: Observable<number> | undefined;
    snapshot: Observable<any> | undefined;
    downloadURL: Promise<any> | undefined;
    isHovering: boolean;
    ImageType: boolean;
    constructor(storage: AngularFireStorage);
    toggleHover(event: any): void;
    loadTempFile(event: any): void;
    changeImage(): void;
    startUpload(event?: FileList): void;
    isActive(snapshot: {
        state: string;
        bytesTransferred: number;
        totalBytes: number;
    }): boolean;
    ngOnInit(): void;
    rotateLeft(): void;
    rotateRight(): void;
    private flipAfterRotate;
    flipHorizontal(): void;
    flipVertical(): void;
    resetImage(): void;
    zoomOut(): void;
    zoomIn(): void;
    imageCropped(event: ImageCroppedEvent): void;
    imageLoaded(): void;
    cropperReady(sourceImageDimensions: Dimensions): void;
    loadImageFailed(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxImageHandlerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxImageHandlerComponent, "ngx-image-handler", never, { "lang": "lang"; "storagePath": "storagePath"; "maxSize": "maxSize"; "imageUrl": "imageUrl"; "onlyType": "onlyType"; "cropper": "cropper"; "cropperConfig": "cropperConfig"; }, { "res": "res"; }, never, never, false>;
}
